"""

|----|---------|------------|
|  k | periode |    freq    |
|----|---------|------------|
|  0 |     inf |          0 |
|  1 |      10 |   f_s / 10 |
|  2 |       5 |    f_s / 5 |
|  3 |  10 / 3 | 3 f_s / 10 |
|  4 |     2.5 |  2 f_s / 5 |
|  5 |       2 |    f_s / 2 |
|  6 |  10 / 6 |  3 f_s / 5 |
|  7 |  10 / 7 | 7 f_s / 10 |
|  8 |    1.25 |  4 f_s / 5 |
|  9 |  10 / 9 | 9 f_s / 10 |
| 10 |       1 |        f_s |
|----|---------|------------|

"""
